# Installation

The instructions below will help you to properly install the generated package to the lavalite project.

## Location

Extract the package contents to the folder 

`/packages/luca/crypto_reccovery/`

## Composer

Add the below entries in the `composer.json` file's autoload section and run the command `composer dump-autoload` in terminal.

```json

...
     "autoload": {
         ...

        "classmap": [
            ...
            
            "packages/luca/crypto_reccovery/database/seeds",
            
            ...
        ],
        "psr-4": {
            ...
            
            "Luca\\CryptoReccovery\\": "packages/luca/crypto_reccovery/src",
            
            ...
        }
    },
...

```

## Config

Add the entries in service provider in `config/app.php`

```php

...
    'providers'       => [
        ...
        
        Luca\CryptoReccovery\Providers\CryptoReccoveryServiceProvider::class,
        
        ...
    ],

    ...

    'alias'             => [
        ...
        
        'CryptoReccovery'  => Luca\CryptoReccovery\Facades\CryptoReccovery::class,
        
        ...
    ]
...

```

## Migrate

After service provider is set run the commapnd to migrate and seed the database.


    php artisan migrate
    php artisan db:seed --class=Luca\\CryptoReccoveryTableSeeder

## Publishing


**Publishing configuration**

    php artisan vendor:publish --provider="Luca\CryptoReccovery\Providers\CryptoReccoveryServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Luca\CryptoReccovery\Providers\CryptoReccoveryServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Luca\CryptoReccovery\Providers\CryptoReccoveryServiceProvider" --tag="view"


## URLs and APIs


### Web Urls

**Admin**

    http://path-to-route-folder/admin/crypto_reccovery/{modulename}

**User**

    http://path-to-route-folder/user/crypto_reccovery/{modulename}

**Public**

    http://path-to-route-folder/crypto_reccoveries


### API endpoints

**List**
 
    http://path-to-route-folder/api/user/crypto_reccovery/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/crypto_reccovery/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/crypto_reccovery/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/crypto_reccovery/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/crypto_reccovery/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/crypto_reccovery/{modulename}/{slug}
    METHOD: GET